# Enum Class UpdateMessage

java.lang.Object
java.lang.Enum<UpdateMessage>
it.polimi.ingsw.is25am31.network.UpdateMessage

All Implemented Interfaces:
  `Serializable`, `Comparable<UpdateMessage>`, `Constable`

public enum UpdateMessage extends Enum<UpdateMessage>
The `UpdateMessage` enum represents a set of predefined messages that are used to communicate the status of a game-related event to a client.
Enum Constants:
- `GAME_FULL`: Indicates that the game is full and additional players cannot join at this time.
- `QUIT_GAME`: Indicates that a player has chosen to quit the game.
- `NOT_ENOUGH_CREWMEMBERS`: Indicates that there are not enough crew members to start ABANDONED cards' effect application.
- `HOURGLASS_NOT_AVAILABLE`: Indicates that the standard hourglass is not available for use.
- `FINAL_HOURGLASS_NOT_AVAILABLE`: Indicates that the final hourglass is not available for use.
- `PLAYER_DISCONNECTED`: Indicates that a player has disconnected from the game unexpectedly.
- `CREATE_OR_JOIN`: Indicates that the client should create a new game or join an existing one.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CREATE_OR_JOIN`
  `FINAL_HOURGLASS_NOT_AVAILABLE`
  `GAME_FULL`
  `HOURGLASS_NOT_AVAILABLE`
  `NOT_ENOUGH_CREWMEMBERS`
  `PLAYER_DISCONNECTED`
  `QUIT_GAME`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static UpdateMessage`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static UpdateMessage[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### GAME_FULL

    public static final UpdateMessage GAME_FULL

  - ### QUIT_GAME

    public static final UpdateMessage QUIT_GAME

  - ### NOT_ENOUGH_CREWMEMBERS

    public static final UpdateMessage NOT_ENOUGH_CREWMEMBERS

  - ### HOURGLASS_NOT_AVAILABLE

    public static final UpdateMessage HOURGLASS_NOT_AVAILABLE

  - ### FINAL_HOURGLASS_NOT_AVAILABLE

    public static final UpdateMessage FINAL_HOURGLASS_NOT_AVAILABLE

  - ### PLAYER_DISCONNECTED

    public static final UpdateMessage PLAYER_DISCONNECTED

  - ### CREATE_OR_JOIN

    public static final UpdateMessage CREATE_OR_JOIN

- ## Method Details

  - ### values

    public static UpdateMessage[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static UpdateMessage valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null